Bug 804891 - rstatd/rusersd killed by systemd
rstatd/rusersd killed by systemd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rusers (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 01:15 EDT by Ian Donaldson
Modified: 2012-04-13 17:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: rusers-0.17-68.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Donaldson 2012-03-20 01:15:36 EDT
Description of problem:

rstatd/rusersd won't stay up for more than about 2 minutes, then systemd kills it

Version-Release number of selected component (if applicable):

rusers-server-0.17-66.fc16.i686


How reproducible:

100%

Steps to Reproduce:

1. systemctl start rstatd.service
2. note this doesn't return for 2 minutes; note rstatd runs for 2 minutes
3. note rstatd is no longer running after 2 minutes

repeat for rusersd; same deal

Actual results:


Expected results:


Additional info:

/lib/systemd/system/rstatd.service has been configured with the
PIDFile=/var/run/rstatd.pid  parameter, telling systemd to expect a pid
file when rstatd is happy.

However rstatd never writes a pid file, so systemd kills it after 2 minutes.

Same deal with rusersd.

In prior Fedora releases, the /etc/init.d/rstatd script did a 'touch
/var/run/rstatd.pid' for completeness.  Similar with rusersd.

The fix is to remove the PIDFile arg from /lib/systemd/system/rstatd.service,
or to modify rstatd source to get it to write a pid file.

Similar with rusersd.

This bug is of the same nature as https://bugzilla.redhat.com/show_bug.cgi?id=804880
Comment 1 Fedora Update System 2012-03-23 04:21:58 EDT
rusers-0.17-68.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rusers-0.17-68.fc17
Comment 2 Fedora Update System 2012-03-23 04:22:45 EDT
rusers-0.17-68.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rusers-0.17-68.fc16
Comment 3 Fedora Update System 2012-03-23 13:10:55 EDT
Package rusers-0.17-68.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rusers-0.17-68.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4554/rusers-0.17-68.fc17
then log in and leave karma (feedback).
Comment 4 Ian Donaldson 2012-03-24 02:51:21 EDT
Fix in fc16 package seems fine to me.  Can't test fc17 version right now.
Comment 5 Fedora Update System 2012-04-11 22:35:44 EDT
rusers-0.17-68.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-13 17:31:01 EDT
rusers-0.17-68.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.